Skip to main content
POST
/
visit
/
forget
Remove data for several visitors
curl --request POST \
  --url https://eu-data.kameleoon.io/visit/forget \
  --header 'Content-Type: text/plain' \
  --header 'user-agent: <user-agent>' \
  --data '<string>'

Headers

user-agent
string
default:kameleoon-docs
required

Not always required. Kameleoon rejects an incoming request if the source is a bot or spider, based on IAB/ABC user-agent filtering rules. Kameleoon uses a single-pass method. You don't need to take specific action when sending requests from a web browser using a standard library (XHR). However, in other cases, set a custom value for the User-Agent request header to overwrite the default value the library sets.

Query Parameters

siteCode
string
required

Id of the Kameleoon project

Body

text/plain

A list of visitor codes (unique Kameleoon visitor IDs) to remove. The body size limit is 1 MB.

Include one visitor code per line.
Limit every visitor code to 100 characters.

Body example:

visitorCode1
visitorCode2
visitorCode3

The body is of type string<UTF-8>.

Response

Kameleoon processed the URL query and accepted the request. The response returns no content.
Kameleoon processes the body asynchronously and has not checked the body syntax yet.